#include <stdio.h>
#include <stdlib.h>
typedef struct
{
    int brojucenika;
    int bananice;
    int grupe;
    char rez[3];
}linija;

int sumab(int n)
{
    int zbir = 0, i;
    for(i=1; i<=n; i++)
        zbir= zbir + i;
    return zbir;
}
int main()
{
    int t, i;
    scanf("%d", &t);
    linija a[t];
    for(i=0; i<t; i++)
    {
        scanf("%d %d %d", &a[i].brojucenika, &a[i].bananice, &a[i].grupe);
        if(((a[i].grupe - (a[i].brojucenika % a[i].grupe))*sumab(a[i].brojucenika / a[i].grupe) + (a[i].brojucenika % a[i].grupe)*sumab(a[i].brojucenika / a[i].grupe + 1) )<= a[i].bananice)
            strcpy(a[i].rez,"Tak");
        else
            strcpy(a[i].rez,"Nie");
    }
    for(i=0; i<t; i++)
        printf("%s\n", a[i].rez);


    return 0;
}